Rated 2 out of 5 stars

For Linux 64, TB is in version 24 (and not 24.1) You have to install version 2.6 (and not 2.6.1 or 2.6.2).

I'm sick of these incompatibilities versions (and 1 version per OS). When Lightning is finally incorporated into Thunderbird?

This review is for a previous version of the add-on (2.6.2).